import os
import re
import sys
import platform
import subprocess

from setuptools import setup, Extension
from setuptools.command.build_ext import build_ext
from distutils.version import LooseVersion

__version__ = '0.0.1'
package_name = "pytest_minimal"

setup(
    name=package_name,
    version=__version__,
    packages=[],
    author='methylDragon',
    author_email='methylDragon@gmail.com',
    url='',
    description='Minimal pytest example',
    long_description='',
    setup_requires=['pytest-runner'],
    zip_safe=False,
    entry_points={'console_scripts': []},
    license='Apache License, Version 2.0',
    install_requires=['setuptools'],
    data_files=[
        ('share/ament_index/resource_index/packages',
            ['resource/' + package_name]),
        ('share/' + package_name, ['package.xml'])
    ],
    tests_require=['pytest'],
    test_suite="tests"
)
